/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;

using miniTeach.Settings;
using miniTeach.Tools;
using miniTeach.UI;

namespace miniTeach
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public partial class MainForm : Form
	{
		
		#region Controls
		
		private SplashForm m_Splash;
		private TeachPictureBox m_TeachPictureBox;
		private Microsoft.WindowsCE.Forms.InputPanel m_SIP;
		private PictureBox m_IconPictureBox;

		private System.Windows.Forms.OpenFileDialog openFileDialog;
		private System.Windows.Forms.Timer myTimer;
		private ProgressBar pbrProgress;
		private TextBox tbAnswer;
		
		private Label lProgress;
		private Label lGrade;		
		
		private Panel paInfo;
		private Panel paQuestion;
		private Panel paInput;
		private Panel paInputFlash;
		//private Panel paRemark;
		
		private Button bFout;
		private Button bGoed;
		private Button bCheck;
		private Button bForceCorrectAnswer;
		
		#endregion
		
		
		#region MainForm Designer Code
		
		//Point of entry
		public static void Main(string[] args)
		{
			Application.Run(new MainForm());
		}
		
		
		public MainForm() : base()
		{
			//First load settings
			InitializeSettingsEtc();
			
			//This call is required by the Windows Form Designer.
			InitializeComponent();
			
			//Load UI
			LoadUI();
		}

		//Form overrides dispose to clean up the component list.
		protected override void Dispose(bool disposing)
		{
			base.Dispose(disposing);
		}

		//NOTE: The following procedure is required by the Windows Form Designer
		//It can be modified using the Windows Form Designer.
		//Do not modify it using the code editor.
		private void InitializeComponent()
		{
			this.SuspendLayout();
			
			this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
			this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
			this.BackColor = System.Drawing.Color.White;
			this.ClientSize = new System.Drawing.Size(292, 273);
			
			//Events
			this.Closing += MyForm_Closing;
			
			this.ResumeLayout(false);
		}
		

		#endregion

	}
}

