/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;
using System.Drawing;
using System.Windows.Forms;

using miniTeach.Settings;
using miniTeach.IO;
using miniTeach.Teach;

namespace miniTeach
{

	public partial class MainForm : Form
	{

		//Open list
		private void OpenList()
		{
			#if DEBUG
			
			MessageBox.Show("Currently, you are in Debug-Mode. OpenFileDialog would throw an error!\r\nSet a default debug-list in MainForm.cs to accomodate your testing needs...");
			return;
			
			#else
			
			openFileDialog.FileName = "*.t2k";

			//Show open file dialog
			if (openFileDialog.ShowDialog() == DialogResult.OK)
			{
				//Check selected path
				if (openFileDialog.FileName.EndsWith("t2k"))
				{
					LoadFile(openFileDialog.FileName);
				}
				else
				{
					MessageBox.Show("OpenList() Error: File extension is invalid");
				}
			}

			#endif
		}

		public void LoadFile(string filePath)
		{
			//Load and parse file
			Question[] questions = FileService.LoadAndParseTeachFile(filePath);
			
			Exam = new TeachExam(questions);	//Start new exam
			RestartExam();						//Show first question
			UpdateProgress();					//Show counter
		}
		
	}
}
