﻿/*
 * Copyright 2008, by Daniël S. Trommel, Avancée, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Windows.Forms;

using miniTeach.Settings;
using miniTeach.Teach;
using miniTeach.Tools;

namespace miniTeach
{


	public partial class MainForm : Form
	{

		//File
		private MenuItem MI_File;
		private MenuItem MI_File_OpenFile;
		private MenuItem MI_File_Exit;

		//Richting
		private MenuItem MI_Direction;
		private MenuItem MI_Direction_Native;
		private MenuItem MI_Direction_Foreign;
		private MenuItem MI_Direction_Both;

		//Type
		private MenuItem MI_Type;
		private MenuItem MI_Type_Normal;
		private MenuItem MI_Type_Flash;
		//Private WithEvents MI_Type_MChoice As MenuItem
		//Private WithEvents MI_Type_Interval As MenuItem

		//Controle
		private MenuItem MI_Controle;
		private MenuItem MI_Controle_NoCapital;
		private MenuItem MI_Controle_Exact;

		//Settings
		private MenuItem MI_Settings;
		private MenuItem MI_Font_Groter;
		private MenuItem MI_Font_Kleiner;
		private MenuItem MI_Flash_Langer;
		private MenuItem MI_Flash_Korter;

		public void InitMenu()
		{
			try {
				//File: Inhoud
				MI_File_OpenFile = new MenuItem();
				MI_File_OpenFile.Text = "Open";
				MI_File_OpenFile.Click += MI_File_OpenFile_Click;
				MI_File_Exit = new MenuItem();
				MI_File_Exit.Text = "Exit";
				MI_File_Exit.Click += ExitProgram;
				//File entry
				MI_File = new MenuItem();
				MI_File.Text = "File";
				MI_File.MenuItems.Add(MI_File_OpenFile);
				MI_File.MenuItems.Add(MI_File_Exit);
				//Richting - Inhoud
				MI_Direction_Native = new MenuItem();
				MI_Direction_Native.Text = "Bekend";
				MI_Direction_Native.Click += MI_Direction_Native_Click;
				MI_Direction_Foreign = new MenuItem();
				MI_Direction_Foreign.Text = "Onbekend";
				MI_Direction_Foreign.Click += MI_Direction_Foreign_Click;
				MI_Direction_Both = new MenuItem();
				MI_Direction_Both.Text = "Beide";
				MI_Direction_Both.Click += MI_Direction_Both_Click;
			}
			catch (Exception ex) {
				MessageBox.Show("MainMenu:Richting " + ex.Message);
				this.Close();
			}

			try {
				//Richting entry
				MI_Direction = new MenuItem();
				MI_Direction.Text = "Richting";
				MI_Direction.MenuItems.Add(MI_Direction_Native);
				MI_Direction.MenuItems.Add(MI_Direction_Foreign);
				MI_Direction.MenuItems.Add(MI_Direction_Both);
			}
			catch (Exception ex) {
				MessageBox.Show("MainMenu:Richting " + ex.Message);
				this.Close();
			}

			try {
				//Type - Inhoud
				MI_Type_Normal = new MenuItem();
				MI_Type_Normal.Text = "Normaal";
				MI_Type_Normal.Click += MI_Type_Normal_Click;
				MI_Type_Flash = new MenuItem();
				MI_Type_Flash.Text = "FlashCard";
				MI_Type_Flash.Click += MI_Type_Flash_Click;
				//MI_Type_MChoice = New MenuItem()
				//MI_Type_MChoice.Text = "MC"
				//AddHandler MI_Type_MChoice.Click, AddressOf MI_Type_MChoice_Click
				//MI_Type_Interval = New MenuItem()
				//MI_Type_Interval.Text = "Interval"
				//AddHandler MI_Type_Interval.Click, AddressOf MI_Type_Interval_Click
				//Type entry
				MI_Type = new MenuItem();
				MI_Type.Text = "Type";
				MI_Type.MenuItems.Add(MI_Type_Normal);
				MI_Type.MenuItems.Add(MI_Type_Flash);
			}
			//MI_Type.MenuItems.Add(MI_Type_MChoice)
			//MI_Type.MenuItems.Add(MI_Type_Interval)

			catch (Exception ex) {
				MessageBox.Show("MainMenu:Type " + ex.Message);
				this.Close();
			}

			try {
				//Controle - Inhoud
				MI_Controle_NoCapital = new MenuItem();
				MI_Controle_NoCapital.Text = "Niet";
				MI_Controle_NoCapital.Click += MI_Controle_NoCapital_Click;
				MI_Controle_Exact = new MenuItem();
				MI_Controle_Exact.Text = "Hoofdletters";
				MI_Controle_Exact.Click += MI_Controle_Exact_Click;
				//Controle entry
				MI_Controle = new MenuItem();
				MI_Controle.Text = "Controle";
				MI_Controle.MenuItems.Add(MI_Controle_NoCapital);
				MI_Controle.MenuItems.Add(MI_Controle_Exact);
			}
			catch (Exception ex) {
				MessageBox.Show("MainMenu:Controle " + ex.Message);
				this.Close();
			}

			try {
				//Font - Inhoud
				MI_Font_Groter = new MenuItem();
				MI_Font_Groter.Text = "+ Font Size";
				MI_Font_Groter.Click += MI_Font_Groter_Click;
				MI_Font_Kleiner = new MenuItem();
				MI_Font_Kleiner.Text = "- Font Size";
				MI_Font_Kleiner.Click += MI_Font_Kleiner_Click;
				MI_Flash_Langer = new MenuItem();
				MI_Flash_Langer.Text = "+ Flash Time";
				MI_Flash_Langer.Click += MI_Flash_Langer_Click;
				MI_Flash_Korter = new MenuItem();
				MI_Flash_Korter.Text = "- Flash Time";
				MI_Flash_Korter.Click += MI_Flash_Korter_Click;
				//Font entry
				MI_Settings = new MenuItem();
				MI_Settings.Text = "Settings";
				MI_Settings.MenuItems.Add(MI_Font_Groter);
				MI_Settings.MenuItems.Add(MI_Font_Kleiner);
				MI_Settings.MenuItems.Add(MI_Flash_Langer);
				MI_Settings.MenuItems.Add(MI_Flash_Korter);
			}
			catch (Exception ex) {
				MessageBox.Show("MainMenu:Settings " + ex.Message);
				this.Close();
			}

			try {
				//Alles toevoegen
				this.Menu = new MainMenu();
				this.Menu.MenuItems.Add(MI_File);
				this.Menu.MenuItems.Add(MI_Direction);
				this.Menu.MenuItems.Add(MI_Type);
				this.Menu.MenuItems.Add(MI_Controle);
				this.Menu.MenuItems.Add(MI_Settings);
			}

			catch (Exception ex) {
				MessageBox.Show("MainMenu Error " + ex.Message);
				this.Close();
			}
		}

		#region " MainMenu Handling "
		private void MI_File_OpenFile_Click(object sender, System.EventArgs e)
		{
			OpenList();
		}

		private void MI_Direction_Foreign_Click(object sender, System.EventArgs e)
		{
			FalsifyDirection();
			MI_Direction_Foreign.Checked = true;
			TeachSettings.Instance.ExamSettings.Direction = ExamDirection.Foreign;
			RestartExam();
		}
		private void MI_Direction_Native_Click(object sender, System.EventArgs e)
		{
			FalsifyDirection();
			MI_Direction_Native.Checked = true;
			TeachSettings.Instance.ExamSettings.Direction = ExamDirection.Native;
			RestartExam();
		}
		private void MI_Direction_Both_Click(object sender, System.EventArgs e)
		{
			FalsifyDirection();
			MI_Direction_Both.Checked = true;
			TeachSettings.Instance.ExamSettings.Direction = ExamDirection.Both;
			RestartExam();
		}

		private void MI_Type_Normal_Click(object sender, System.EventArgs e)
		{
			FalsifyType();
			MI_Type_Normal.Checked = true;
			TeachSettings.Instance.ExamSettings.Method = ExamMethod.Normal;
			RestartExam();
		}
		private void MI_Type_Flash_Click(object sender, System.EventArgs e)
		{
			FalsifyType();
			MI_Type_Flash.Checked = true;
			TeachSettings.Instance.ExamSettings.Method = ExamMethod.Flash;
			RestartExam();
		}
		//	Private Sub MI_Type_MChoice_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
		//		FalsifyType()
		//		MI_Type_MChoice.Checked = True
		//		TeachSettings.Instance.Method = Method.MChoice
		//		RestartExam()
		//	End Sub
		//	Private Sub MI_Type_Interval_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
		//		FalsifyType()
		//		MI_Type_Interval.Checked = True
		//		TeachSettings.Instance.Method = Method.Interval
		//		RestartExam()
		//	End Sub

		private void MI_Controle_NoCapital_Click(object sender, System.EventArgs e)
		{
			FalsifyCheck();
			MI_Controle_NoCapital.Checked = true;
			TeachSettings.Instance.ExamSettings.Check = ExamCheck.IgnoreCapitals;
			RestartExam();
		}
		private void MI_Controle_Exact_Click(object sender, System.EventArgs e)
		{
			FalsifyCheck();
			MI_Controle_Exact.Checked = true;
			TeachSettings.Instance.ExamSettings.Check = ExamCheck.Exact;
			RestartExam();
		}

		private void MI_Font_Groter_Click(object sender, System.EventArgs e)
		{
			TeachSettings.Instance.FontSize += 1;
			UpdateFontsize();
		}
		private void MI_Font_Kleiner_Click(object sender, System.EventArgs e)
		{
			TeachSettings.Instance.FontSize -= 1;
			UpdateFontsize();
		}
		private void MI_Flash_Langer_Click(object sender, System.EventArgs e)
		{
			TeachSettings.Instance.FlashTime += 500;
		}
		private void MI_Flash_Korter_Click(object sender, System.EventArgs e)
		{
			TeachSettings.Instance.FlashTime -= 500;
			TeachSettings.Instance.FlashTime = Math.Max(1000, TeachSettings.Instance.FlashTime);
		}


		private void FalsifyDirection()
		{
			MI_Direction_Native.Checked = false;
			MI_Direction_Foreign.Checked = false;
			MI_Direction_Both.Checked = false;
		}
		private void FalsifyType()
		{
			MI_Type_Normal.Checked = false;
			MI_Type_Flash.Checked = false;
			//MI_Type_MChoice.Checked = False
			//MI_Type_Interval.Checked = False
		}
		private void FalsifyCheck()
		{
			MI_Controle_Exact.Checked = false;
			MI_Controle_NoCapital.Checked = false;
		}

		private void UpdateMenuCheck()
		{
			MI_Direction_Native.Checked = (TeachSettings.Instance.ExamSettings.Direction == ExamDirection.Native);
			MI_Direction_Foreign.Checked = (TeachSettings.Instance.ExamSettings.Direction == ExamDirection.Foreign);
			MI_Direction_Both.Checked = (TeachSettings.Instance.ExamSettings.Direction == ExamDirection.Both);
			MI_Type_Normal.Checked = (TeachSettings.Instance.ExamSettings.Method == ExamMethod.Normal);
			MI_Type_Flash.Checked = (TeachSettings.Instance.ExamSettings.Method == ExamMethod.Flash);
			//MI_Type_MChoice.Checked = (TeachSettings.Instance.ExamSettings.Method = ExamMethod.MChoice)
			//MI_Type_Interval.Checked = (TeachSettings.Instance.ExamSettings.Method = ExamMethod.Interval)
			MI_Controle_Exact.Checked = (TeachSettings.Instance.ExamSettings.Check == ExamCheck.Exact);
			MI_Controle_NoCapital.Checked = (TeachSettings.Instance.ExamSettings.Check == ExamCheck.IgnoreCapitals);
		}
		#endregion

	}
}
