/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Xml;
using System.Collections.Generic;

using miniTeach.Tools;


namespace miniTeach.Teach
{
	public class Normal : Question
	{
		
		public Normal()
		{
			base.QuestionType = QuestionType.Normal;
		}
		
		public override bool IsAnswerCorrect(bool[] tickedBoxes)
		{
			//This function is required by the design pattern of Question
			//If called, throw an error; parent code should do the right call!
			throw new Exception("IsAnswerCorrect() Error: this question is not multiplechoice");
		}
		
		public override bool IsAnswerCorrect(string inputText)
		{
			if (this.QuestionDirection == QuestionDirection.Foreign)
			{
				return TeachTools.ArrayContainsString(inputText, 
				                                      this.Answers, 
				                                      this.AnswerUsesRichFormatting, 
				                                      (this.ExamCheck == ExamCheck.IgnoreCapitals));
			}
			else
			{
				return TeachTools.ArrayContainsString(inputText, 
				                                      this.Questions, 
				                                      this.QuestionUsesRichFormatting, 
				                                      (this.ExamCheck == ExamCheck.IgnoreCapitals));
			}
		}


		
	}
}
