/*
 * Copyright by Danil S. Trommel, Avance, The Netherlands
 * 
 */

using System;

/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

namespace miniTeach.Teach
{
	/// <summary>
	/// Description of QuestionFactory.
	/// </summary>
	public static class QuestionFactory
	{
		
		public static Question CreateQuestion(QuestionType questionType)
		{
			if (questionType == QuestionType.Normal)
			{
				return new Normal();
			}
			else if (questionType == QuestionType.MultipleChoiceSingleAnswer)
			{
				return new MultipleChoiceQuestion(QuestionType.MultipleChoiceSingleAnswer);
			}
			else if (questionType == QuestionType.MultipleChoiceMultipleAnswers)
			{
				return new MultipleChoiceQuestion(QuestionType.MultipleChoiceMultipleAnswers);	//just the same as MultipleChoiceSingleAnswer
			}
			else
			{
				throw new Exception("QuestionFactory() Error; unknown or unsupported questiontype");
			}
		}
		
	}
}
