/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Drawing;

namespace miniTeach.Tools
{
	/// <summary>
	/// Description of PaintTool.
	/// </summary>
	public static class PaintTool
	{
		
		private static Bitmap bitmap = new Bitmap(1,1);

		public static float MeasureDisplayStringWidth(string text, Font font)
		{
			Graphics gr = Graphics.FromImage(bitmap);
			float measuredWidth = gr.MeasureString(text + text, font).Width - gr.MeasureString(text, font).Width;
			gr.Dispose();
			
			return measuredWidth;
		}
		
	}
}
