/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Text.RegularExpressions;


namespace miniTeach.Tools
{
	/// <summary>
	/// Description of RichTools.
	/// </summary>
	public static class RichTools
	{
		private static string m_TagsRegExSearchPattern = "(</?\\w*[^\"]>)";	//Matches all tags formatted like <text> or </text>
		private static string[] tags = new string[]{};
		
		public static string StripRichTags(string text)
		{
			//N.B.: do NOT change the order of execution!
			text = Regex.Replace(text, "<br>", "\r\n");		//convert <br> into linebreak
			return Regex.Replace(text, m_TagsRegExSearchPattern, "");
		}
		
		public static string[] SplitTextAndPreserveTags(string text)
		{
			return Regex.Split(text, m_TagsRegExSearchPattern);
		}

				
	}
}
