/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/



using System;

namespace miniTeach.Tools
{
	/// <summary>
	/// Description of StringTools.
	/// </summary>
	public static class StringTools
	{

		public static string MergeStrings(string[] array)
		{
			string returnstring = array[0];
			
			for (int index = 1; index < array.Length; index++)
			{
				returnstring += "\r\n" + array[index];
			}
			
			return returnstring;
		}
		
		public static int CountLineBreaks(string text)
		{
			int counter = 0;
			
			if (!String.IsNullOrEmpty(text))
			{
				int lastindex = text.IndexOf("\r\n");
				
				while (lastindex > -1)
				{
					counter += 1;
					lastindex = text.IndexOf("\r\n", lastindex+1);
				}
			}
			
			return counter;
		}
		
	}
}
