/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


using System;
using System.Drawing;
using System.Windows.Forms;

namespace miniTeach.UI
{
	
	public class LightWeightPictureBox : UserControl
	{
		protected Image image;		
		public Image Image {
			set { image = value; }
		}
		
		public LightWeightPictureBox()
		{
		}
		
		protected override void OnPaintBackground(PaintEventArgs pevent)
		{
			// do nothing.
		}
		
		protected override void OnPaint(PaintEventArgs e)
		{
			//Ignore if there is no image
			if(image==null)
			{
				base.OnPaintBackground(e);
				return;
			}

			//Draw the image
			e.Graphics.Clear(Color.White);
			e.Graphics.DrawImage(image, 0, 0);
			
			this.Size = this.image.Size;			
			base.OnPaint(e);
		}
		
	}

}
