﻿/*
 * Copyright 2008, by Daniël S. Trommel, Avancée, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


using System;
using System.Drawing;
using System.Windows.Forms;

using miniTeach.Settings;
using miniTeach.Tools;
using miniTeach.UI;

//TODO: clean-up!

namespace miniTeach.UI
{

	public class SplashForm : System.Windows.Forms.Form
	{

		public PictureBox logoPictureBox;
		public Label lProgress;
		public Label lTitle;
		public ProgressBar myProgressBar;

		public SplashForm()
		{
			
			int TotalItems = 4;
			this.WindowState = FormWindowState.Normal;
			this.ControlBox = false;
			
			int scrWidth = Screen.PrimaryScreen.WorkingArea.Width;
			int scrHeight = Screen.PrimaryScreen.WorkingArea.Height;
			this.Size = new Size(Math.Min(scrWidth, 400), Math.Min(scrHeight, 600));
			this.Location = new Point((scrWidth-this.Bounds.Width)/2, (scrHeight-this.Bounds.Height)/2);
			this.BackColor = Color.White;
			int spacer = 20;
			
			Font font = new Font(FontFamily.GenericSansSerif, 10, FontStyle.Regular);
			
			//Picturebox
			logoPictureBox = new PictureBox();
			Bitmap b = ResourceTool.GetBitmap("miniTeach");
			logoPictureBox.Location = new Point((this.Bounds.Width - b.Width) / 2, this.Bounds.Height/8);
			logoPictureBox.Size = b.Size;
			logoPictureBox.Image = b;
			
			//Title
			lTitle = new Label();
			lTitle.Font = font;
			lTitle.BackColor = Color.White;
			lTitle.TextAlign = ContentAlignment.TopCenter;
			lTitle.Location = new Point(0, logoPictureBox.Bottom+spacer);
			lTitle.Size = new Size(this.Bounds.Width, TeachSettings.Instance.EmTextHeight*12);
			lTitle.Text = "(c) Avancée\r\nDaniël S. Trommel\r\nwww.avancee.nl\r\n\r\n-Met dank aan-\r\nBas Groot en consorten\r\nwww.teach2000.nl";
			
			//Progress Label
			lProgress = new Label();
			lProgress.Font = font;
			lProgress.BackColor = Color.White;
			lProgress.Text = "Loading...";
			lProgress.TextAlign = ContentAlignment.TopCenter;
			lProgress.Width = this.Bounds.Width;
			lProgress.Location = new Point(0, lTitle.Bottom+spacer);
			
			//Progress Bar
			myProgressBar = new ProgressBar();
			myProgressBar.Size = new Size(this.Bounds.Width / 4, 10);
			myProgressBar.Location = new Point((this.Bounds.Width - myProgressBar.Width) / 2, lProgress.Bottom + 5);
			myProgressBar.Minimum = 0;
			myProgressBar.Maximum = TotalItems;
			myProgressBar.Value = 0;
			
			//Add Controls to splashform
			this.Controls.Add(logoPictureBox);
			this.Controls.Add(lTitle);
			this.Controls.Add(lProgress);
			this.Controls.Add(myProgressBar);
		}

	}

	
}
